*,:after,:before,::backdrop {
  box-sizing: border-box;
  scrollbar-width: thin;
  border: 0 solid;
}

:root {
  --rounded: 12px;

  --bg-bg: #000;
  --bg-text: #fff;

  --layer-bg: #181818;
  --layer-bg-hover: #303030;
  --layer-text: #fff;

  --primary-bg: #fff;
  --primary-bg-hover: #e4e4e4;
  --primary-text: #000;

  --secondary-bg: #262626;
  --secondary-bg-hover: #303030;
  --secondary-text: #fff;
}

body {
  background-color: var(--bg-bg);
  color: var(--bg-text);
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  min-width: 100%;
  min-height: 100dvh;
  display: flex;
}
@media screen and (max-width: 1023px) {
  body {
    flex-direction: column;
  }
}

main {
  max-width: 100%;
  max-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-grow: 1;
  padding: 16px;
  gap: 32px;
}

nav {
  width: 15rem;
  flex-shrink: 0;
  margin-right: 8px;
}
@media screen and (max-width: 1023px) {
  nav {
    width: 100%;
    height: 3rem;
  }
}

#navContent {
  top: 0px;
  left: 0px;
  width: 15rem;
  height: 100dvh;
  background-color: var(--layer-bg);
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 8px;
  padding-right: 0px;
  border-top-right-radius: var(--rounded);
  border-bottom-right-radius: var(--rounded);
  position: fixed;
}
#navContent > * {
  padding-right: 8px;
}
#navContent a, #navContent button {
  width: 100%;
}
.nav-mobile {
  display: none;
}
@media screen and (max-width: 1023px) {
  #navContent {
    display: none;
    z-index: 99;
  }
  .nav-mobile {
    display: flex;
    top: 0px;
    left: 0px;
    background-color: var(--layer-bg);
    position: relative;
    width: 100dvw;
    height: 3rem;
    border-bottom-right-radius: var(--rounded);
    border-bottom-left-radius: var(--rounded);
    padding: 8px;
  }
  #openNav {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffffff00;
    height: 100%;
    padding: 0px;
    right: 8px;
    top: 0px;
  }
  #openNav > img {
    height: 1.8rem;
  }
}

.nav-links {
  display: flex;
  flex-direction: column;
  overflow: auto;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 0%;
  gap: 4px;
  scrollbar-color: var(--layer-bg) var(--primary-bg-hover);
}
.nav-links > a {
  font-size: 1.1rem;
  display: flex;
  gap: 8px;
  align-items: center;
  height: 2rem;
  border-radius: var(--rounded);
}
.nav-links > a:hover, .nav-links > .selected {
  background-color: var(--layer-bg-hover);
}
.nav-links > a > img {
  height: 100%;
}

input, button, .button {
  border-radius: var(--rounded);
  padding: 4px;
  padding-inline: 8px;
  width: fit-content;
}

.primary {
  background-color: var(--primary-bg);
  color: var(--primary-text);
}
.primary:hover {
  background-color: var(--primary-bg-hover);
}

.secondary {
  background-color: var(--secondary-bg);
  color: var(--secondary-text);
}
.secondary:hover {
  background-color: var(--secondary-bg-hover);
}

button, .button {
  cursor: pointer;
}

a {
  color: unset;
  text-decoration: none;
}

.logo {
  color: white;
  font-size: x-large;
  margin-inline: auto;
}